Уязвимость в qutebrowser, позволяющая выполнить код в системе

В web-браузере qutebrowser, предоставляющем минимальный графический интерфейс и систему навигации в стиле Vim, выявлена уязвимость (CVE-2018-10895). Позволяющая выполнить CSRF-атаку со вставкой на страницы обращения к URL «qute://settings», что позволяет изменить настройки браузера при открытии подконтрольного атакующим сайта. В том числе атакующие могут изменить значение параметра editor.command и выполнить любой код в системе пользователя. Проблема
устранена в выпуске 1.4.1.

Источник.

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

Этот сайт использует Akismet для борьбы со спамом. Узнайте как обрабатываются ваши данные комментариев.